var Game1 = {};
Game1.Boot = function(game){};
Game1.Boot.prototype = {
	preload: function() {
		this.load.image('preloadbar', 'img/preloader-bar.png');
	},
	create: function() {
	this.time.advancedTiming = true;
	this.input.maxPointers = 1;
	this.stage.disableVisibilityChange = true;
	if (this.game.device.desktop)
	{
		this.scale.scaleMode =Phaser.ScaleManager.SHOW_ALL;
		this.scale.setMinMax(480, 270, 2560, 1440);
		this.scale.pageAlignHorizontally = true;
		this.scale.pageAlignVertically = true;
		this.scale.setScreenSize(true);
		this.scale.refresh();
	}
	else
	{
		this.scale.scaleMode = Phaser.ScaleManager.SHOW_ALL;
		this.scale.setMinMax(480, 270, 1280, 720);
		this.scale.pageAlignHorizontally = true;
		this.scale.pageAlignVertically = true;
		this.scale.forceOrientation(true, false);
		this.scale.setResizeCallback(this.gameResized, this);
		this.scale.setScreenSize(true);
		this.scale.refresh();
	}
    this.stage.backgroundColor = '#ffffff';
    this.state.start('Preload');
	}
};